: Class JettyLaF

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Jetty
Class JettyLaF

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Page
                        |
                        +--com.mortbay.Jetty.JettyLaF

public class JettyLaF
extends Page

Field Summary
`static boolean` | `alternate`
`static Composite` | `alternateContact`
`static Composite` | `contact`
`static java.util.Hashtable` | `headingMap`
`static PathMap` | `sectionMap`

Fields inherited from class com.mortbay.HTML.Page
`Back, BaseUrl, BgColour, Content, ContentSize, FgColour, FileBase, Footer, FooterSize, Header, HeaderSize, Heading, Help, HighlightColour, Home, LeftMargin, LeftMarginSize, Margin, MarginSize, Next, NoTitle, PageType, Prev, properties, Request, Response, RightMargin, RightMarginSize, Section, Target, Title, Up`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`JettyLaF()`

Method Summary
`void` | `completeSections()` Complete Header and footer section Called just before the page is output (after all content added).
`FrameSet` | `frameSet()` Return the preferred FrameSet to be used with a specialized Page The Frames will be named after the sections they are to contain.

Methods inherited from class com.mortbay.HTML.Page
`addHeader, addPageFactory, addSection, addTo, delPageFactory, flush, getDefaultPageType, getPage, getSection, manufacturePage, properties, rewind, setBackGroundColor, setBackGroundImage, setBase, setDefaultPageType, setSection, title, write, write, writeBodyTag, writeElements, writeHtmlEnd, writeHtmlHead`

Methods inherited from class com.mortbay.HTML.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### alternate

    public static boolean alternate

### contact

    public static Composite contact

### alternateContact

    public static Composite alternateContact

### sectionMap

    public static PathMap sectionMap

### headingMap

    public static java.util.Hashtable headingMap

Constructor Detail

### JettyLaF

    public JettyLaF()

Method Detail

### completeSections

    public void completeSections()

  Complete Header and footer section Called just before the page is output (after all content added).
  Overrides:
    completeSections in class Page

### frameSet

    public FrameSet frameSet()

  Description copied from class: Page
  Return the preferred FrameSet to be used with a specialized Page The Frames will be named after the sections they are to contain. The default implementation returns null
  Overrides:
    frameSet in class Page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD